## org.biojava.bio.structure.io.mmcif.model
Class PdbxNonPolyScheme

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.PdbxNonPolyScheme

    public class PdbxNonPolyScheme

extends Object

A bean for the PDBX_NONPOLY_SCHEME category, which provides residue level nomenclature mapping for non-polymer entities.

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`PdbxNonPolyScheme()`

Method Summary
`String` `getAsym_id()`
`String` `getAuth_mon_id()`
`String` `getAuth_seq_num()`
`String` `getEntity_id()`
`String` `getMon_id()`
`String` `getNdb_seq_num()`
`String` `getPdb_ins_code()`
`String` `getPdb_mon_id()`
`String` `getPdb_seq_num()`
`String` `getPdb_strand_id()`
`String` `getSeq_id()`
`void` `setAsym_id(String asym_id)`
`void` `setAuth_mon_id(String auth_mon_id)`
`void` `setAuth_seq_num(String auth_seq_num)`
`void` `setEntity_id(String entity_id)`
`void` `setMon_id(String mon_id)`
`void` `setNdb_seq_num(String ndb_seq_num)`
`void` `setPdb_ins_code(String pdb_ins_code)`
`void` `setPdb_mon_id(String pdb_mon_id)`
`void` `setPdb_seq_num(String pdb_seq_num)`
`void` `setPdb_strand_id(String pdb_strand_id)`
`void` `setSeq_id(String seq_id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdbxNonPolyScheme

    public PdbxNonPolyScheme()

Method Detail

### getAsym_id

    public String getAsym_id()

### setAsym_id

    public void setAsym_id(String asym_id)

### getEntity_id

    public String getEntity_id()

### setEntity_id

    public void setEntity_id(String entity_id)

### getSeq_id

    public String getSeq_id()

### setSeq_id

    public void setSeq_id(String seq_id)

### getMon_id

    public String getMon_id()

### setMon_id

    public void setMon_id(String mon_id)

### getNdb_seq_num

    public String getNdb_seq_num()

### setNdb_seq_num

    public void setNdb_seq_num(String ndb_seq_num)

### getPdb_seq_num

    public String getPdb_seq_num()

### setPdb_seq_num

    public void setPdb_seq_num(String pdb_seq_num)

### getAuth_seq_num

    public String getAuth_seq_num()

### setAuth_seq_num

    public void setAuth_seq_num(String auth_seq_num)

### getPdb_mon_id

    public String getPdb_mon_id()

### setPdb_mon_id

    public void setPdb_mon_id(String pdb_mon_id)

### getAuth_mon_id

    public String getAuth_mon_id()

### setAuth_mon_id

    public void setAuth_mon_id(String auth_mon_id)

### getPdb_strand_id

    public String getPdb_strand_id()

### setPdb_strand_id

    public void setPdb_strand_id(String pdb_strand_id)

### getPdb_ins_code

    public String getPdb_ins_code()

### setPdb_ins_code

    public void setPdb_ins_code(String pdb_ins_code)